SimpleAnnotFilter (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.agave.SimpleAnnotFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.agave
Class SimpleAnnotFilter

    java.lang.Object
      org.biojava.bio.seq.io.agave.SimpleAnnotFilter

All Implemented Interfaces:
  AGAVEAnnotFilter

Direct Known Subclasses:
  Agave2AgaveAnnotFilter, Embl2AgaveAnnotFilter

    public class SimpleAnnotFilter

extends Object
implements AGAVEAnnotFilter

Basic implementation of AGAVEAnnotFilter

Author:
  Hanning Ni Doubletwist Inc

Field Summary
`static AGAVEAnnotFilterFactory` | `SIMPLE_ANNOT_FILTER_FACTORY`

Fields inherited from interface org.biojava.bio.seq.io.agave.AGAVEAnnotFilter
`BOTH_FORWARD_COMPLEMENT, COMPLEMENT, FORWARD`

Method Summary
`String` | `getAccession(Annotation annot)`
`String` | `getAlignLength(Annotation annot)`
`String` | `getAlignUnits(Annotation annot)`
`AGAVEDbId[]` | `getAltIds(Annotation annot)`
`String` | `getChromNum(Annotation annot)`
`String` | `getChromosome(Annotation annot)`
`String` | `getClassifyId(Annotation annot)`
`String` | `getClassifySystem(Annotation annot)`
`String` | `getClassifyType(Annotation annot)`
`String` | `getCloneId(Annotation annot)`
`String` | `getCloneLibrary(Annotation annot)`
`String` | `getConfidence(Annotation annot)`
`String` | `getCreateDate(Annotation annot)`
`AGAVEDbId` | `getDbId(Annotation annot)`
`String` | `getDescription(Annotation annot)`
`String` | `getEcNumber(Annotation annot)`
`String` | `getElementId(Annotation annot)`
`String[]` | `getElementIds(Annotation annot)`
`String[]` | `getExonIds(Annotation annot)`
`String` | `getFeatureType(Annotation annot)`
`String` | `getGroupOrder(Annotation annot)`
`AGAVEIdAlias[]` | `getIdAlias(Annotation annot)`
`String` | `getKeyword(Annotation annot)`
`String` | `getLabel(Annotation annot)`
`AGAVEMapLocation[]` | `getMapLocation(Annotation annot)`
`String` | `getMapPosition(Annotation annot)`
`String` | `getMatchAlign(Annotation annot)`
`String` | `getMatchDesc(Annotation annot)`
`AGAVEMatchRegion` | `getMatchRegion(Annotation annot)`
`String` | `getMolType(Annotation annot)`
`String` | `getNote(Annotation annot)`
`String` | `getOrganism(Annotation annot)`
`String` | `getOS(Annotation annot)`
`AGAVEProperty[]` | `getProperty(Annotation annot, String type)` ThomasD made this a bit safer...
`AGAVEQueryRegion` | `getQueryRegion(Annotation annot)`
`AGAVERelatedAnnot[]` | `getRelatedAnnot(Annotation annot)`
`String` | `getResultType(Annotation annot)`
`String` | `getSequenceId(Annotation annot)`
`String` | `getTaxonId(Annotation annot)`
`String` | `getUpdateDate(Annotation annot)`
`String` | `getVersion(Annotation annot)`
`AGAVEXrefs[]` | `getXrefs(Annotation annot)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIMPLE_ANNOT_FILTER_FACTORY

    public static final AGAVEAnnotFilterFactory SIMPLE_ANNOT_FILTER_FACTORY

Method Detail

### getAccession

    public String getAccession(Annotation annot)

  Specified by:
    `getAccession` in interface `AGAVEAnnotFilter`

### getKeyword

    public String getKeyword(Annotation annot)

  Specified by:
    `getKeyword` in interface `AGAVEAnnotFilter`

### getElementId

    public String getElementId(Annotation annot)

  Specified by:
    `getElementId` in interface `AGAVEAnnotFilter`

### getOrganism

    public String getOrganism(Annotation annot)

  Specified by:
    `getOrganism` in interface `AGAVEAnnotFilter`

### getLabel

    public String getLabel(Annotation annot)

  Specified by:
    `getLabel` in interface `AGAVEAnnotFilter`

### getDescription

    public String getDescription(Annotation annot)

  Specified by:
    `getDescription` in interface `AGAVEAnnotFilter`

### getMatchAlign

    public String getMatchAlign(Annotation annot)

  Specified by:
    `getMatchAlign` in interface `AGAVEAnnotFilter`

### getMatchRegion

    public AGAVEMatchRegion getMatchRegion(Annotation annot)

  Specified by:
    `getMatchRegion` in interface `AGAVEAnnotFilter`

### getQueryRegion

    public AGAVEQueryRegion getQueryRegion(Annotation annot)

  Specified by:
    `getQueryRegion` in interface `AGAVEAnnotFilter`

### getClassifySystem

    public String getClassifySystem(Annotation annot)

  Specified by:
    `getClassifySystem` in interface `AGAVEAnnotFilter`

### getClassifyId

    public String getClassifyId(Annotation annot)

  Specified by:
    `getClassifyId` in interface `AGAVEAnnotFilter`

### getClassifyType

    public String getClassifyType(Annotation annot)

  Specified by:
    `getClassifyType` in interface `AGAVEAnnotFilter`

### getExonIds

    public String[] getExonIds(Annotation annot)

  Specified by:
    `getExonIds` in interface `AGAVEAnnotFilter`

### getChromNum

    public String getChromNum(Annotation annot)

  Specified by:
    `getChromNum` in interface `AGAVEAnnotFilter`

### getIdAlias

    public AGAVEIdAlias[] getIdAlias(Annotation annot)

  Specified by:
    `getIdAlias` in interface `AGAVEAnnotFilter`

### getNote

    public String getNote(Annotation annot)

  Specified by:
    `getNote` in interface `AGAVEAnnotFilter`

### getAltIds

    public AGAVEDbId[] getAltIds(Annotation annot)

  Specified by:
    `getAltIds` in interface `AGAVEAnnotFilter`

### getMapLocation

    public AGAVEMapLocation[] getMapLocation(Annotation annot)

  Specified by:
    `getMapLocation` in interface `AGAVEAnnotFilter`

### getRelatedAnnot

    public AGAVERelatedAnnot[] getRelatedAnnot(Annotation annot)

  Specified by:
    `getRelatedAnnot` in interface `AGAVEAnnotFilter`

### getElementIds

    public String[] getElementIds(Annotation annot)

  Specified by:
    `getElementIds` in interface `AGAVEAnnotFilter`

### getGroupOrder

    public String getGroupOrder(Annotation annot)

  Specified by:
    `getGroupOrder` in interface `AGAVEAnnotFilter`

### getMatchDesc

    public String getMatchDesc(Annotation annot)

  Specified by:
    `getMatchDesc` in interface `AGAVEAnnotFilter`

### getFeatureType

    public String getFeatureType(Annotation annot)

  Specified by:
    `getFeatureType` in interface `AGAVEAnnotFilter`

### getResultType

    public String getResultType(Annotation annot)

  Specified by:
    `getResultType` in interface `AGAVEAnnotFilter`

### getConfidence

    public String getConfidence(Annotation annot)

  Specified by:
    `getConfidence` in interface `AGAVEAnnotFilter`

### getAlignLength

    public String getAlignLength(Annotation annot)

  Specified by:
    `getAlignLength` in interface `AGAVEAnnotFilter`

### getAlignUnits

    public String getAlignUnits(Annotation annot)

  Specified by:
    `getAlignUnits` in interface `AGAVEAnnotFilter`

### getXrefs

    public AGAVEXrefs[] getXrefs(Annotation annot)

  Specified by:
    `getXrefs` in interface `AGAVEAnnotFilter`

### getVersion

    public String getVersion(Annotation annot)

  Specified by:
    `getVersion` in interface `AGAVEAnnotFilter`

### getSequenceId

    public String getSequenceId(Annotation annot)

  Specified by:
    `getSequenceId` in interface `AGAVEAnnotFilter`

### getTaxonId

    public String getTaxonId(Annotation annot)

  Specified by:
    `getTaxonId` in interface `AGAVEAnnotFilter`

### getCloneId

    public String getCloneId(Annotation annot)

  Specified by:
    `getCloneId` in interface `AGAVEAnnotFilter`

### getCloneLibrary

    public String getCloneLibrary(Annotation annot)

  Specified by:
    `getCloneLibrary` in interface `AGAVEAnnotFilter`

### getChromosome

    public String getChromosome(Annotation annot)

  Specified by:
    `getChromosome` in interface `AGAVEAnnotFilter`

### getMapPosition

    public String getMapPosition(Annotation annot)

  Specified by:
    `getMapPosition` in interface `AGAVEAnnotFilter`

### getEcNumber

    public String getEcNumber(Annotation annot)

  Specified by:
    `getEcNumber` in interface `AGAVEAnnotFilter`

### getCreateDate

    public String getCreateDate(Annotation annot)

  Specified by:
    `getCreateDate` in interface `AGAVEAnnotFilter`

### getUpdateDate

    public String getUpdateDate(Annotation annot)

  Specified by:
    `getUpdateDate` in interface `AGAVEAnnotFilter`

### getOS

    public String getOS(Annotation annot)

  Specified by:
    `getOS` in interface `AGAVEAnnotFilter`

### getMolType

    public String getMolType(Annotation annot)

  Specified by:
    `getMolType` in interface `AGAVEAnnotFilter`

### getDbId

    public AGAVEDbId getDbId(Annotation annot)

  Specified by:
    `getDbId` in interface `AGAVEAnnotFilter`

### getProperty

    public AGAVEProperty[] getProperty(Annotation annot,
                                       String type)

  ThomasD made this a bit safer...

  Specified by:
    `getProperty` in interface `AGAVEAnnotFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD